import type { ValidationErrors } from '../exceptions/validation.js';
import type { Entity } from './index.js';
export declare abstract class Collection<T extends Entity> {
    readonly collections: T[];
    constructor(collections: T[]);
    [Symbol.iterator](): ArrayIterator<T>;
    find(filter: (item: T) => boolean): T | undefined;
    filter(filter: (item: T) => boolean): T[];
    map<U>(callback: (item: T, index: number) => U): U[];
    sorted(callback: (a: T, b: T) => number): T[];
    isEmpty(): boolean;
    count(): number;
    getErrors(prev?: Collection<T>): ValidationErrors | undefined;
}
