import dayjs from 'dayjs';
import { type NullableOrNot, type ValidationError, ValueObject } from './index.js';
export declare abstract class DateObject<Nullable extends boolean = false> extends ValueObject<NullableOrNot<dayjs.ConfigType, Nullable>, NullableOrNot<dayjs.Dayjs, Nullable>, NullableOrNot<string, Nullable>> {
    protected fromInput(): NullableOrNot<string, Nullable>;
    protected toOutput(): NullableOrNot<dayjs.Dayjs, Nullable>;
    getErrors(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
