import { type NullableOrNot, type ValidationError, ValueObject } from './index.js';
export declare abstract class Float<Nullable extends boolean = false> extends ValueObject<NullableOrNot<number | string, Nullable>, NullableOrNot<number, Nullable>> {
    protected fromInput(): NullableOrNot<number, Nullable>;
    protected getMaxNumber(): number | undefined;
    protected getMinNumber(): number | undefined;
    protected isTruncateMode(): boolean;
    getErrors(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
